For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Employer of Record
    • Introduction
    • Employment cost calculator
    • Hiring
    • Accept quote
    • Amendments
  • EOR Endpoints
      • POSTCreate client sign off
      • GETGet additional information required to request employee termination
      • GETRetrieve Employee Time Off Data for Offboarding
      • GETRetrieve offboarding attachment
      • GETRetrieve Offboarding Request
      • GETRetrieve restricted offboarding dates
      • POSTSubmit employee resignation PTO review
      • POSTSubmit employee sign-off review for offboarding documents
  • EOR Worker Endpoints
LogoLogo
SupportDeel Home
EOR EndpointsEOR Offboarding

Get additional information required to request employee termination

GET
/eor/contracts/:contract_id/offboarding/required-information
GET
/rest/v2/eor/contracts/:contract_id/offboarding/required-information
$curl https://api.letsdeel.com/rest/v2/eor/contracts/abcd4fg/offboarding/required-information \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "questions": [
4 {
5 "text": "Does the employee might have protected status for termination (e.g. maternity leave, paternity leave, sick leave)?",
6 "is_optional": false
7 },
8 {
9 "text": "Has the employee received prior written warnings about performance issues?",
10 "is_optional": true
11 }
12 ]
13 }
14}

Returns country-specific mandatory and optional questions, and identifies required supporting documents, that must be provided when initiating the offboarding process for a contract. Token scopes: contracts:read

Was this page helpful?
Previous

Retrieve Employee Time Off Data for Offboarding

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier of the employee contract.

Response

Ok response
dataobject
Specifies the text of additional questions that the client must answer when requesting a termination

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication